<?php

namespace Modules\Country\Interfaces;

use Modules\Country\Models\Country;

interface CountryRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Country;
    public function update(array $request, Country $country): Country;
    public function destroy(Country $country): void;
    public function destroyAll(array $ids): void;
    public function restore(Country $country): void;
    public function restoreAll(array $ids): void;
}
